Subject: Re: [Idr] Robert Wilton's No Objection on draft-ietf-idr-capabilities-registry-change-08: (with COMMENT)
From: Alvaro Retana <[email-masked]>
To: Robert Wilton via Datatracker <[email-masked]>, The IESG <[email-masked]>, Robert Wilton <[email-masked]>
Cc: Susan Hares <[email-masked]>, [email-masked], [email-masked], [email-masked], [email-masked]
Date: Mon, 4 May 2020 03:39:10 -0700
List-Id: Inter-Domain Routing <idr.ietf.org>

On May 4, 2020 at 5:40:34 AM, Robert Wilton wrote:

Rob:

Hi!

> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
>
> This document is straight forward and easy to read and understand. I had one
> minor comment.
>
> [RFC5492] designates the range of Capability Codes 128-255 as
> "Reserved for Private Use". Subsequent experience has shown this to
> be not only useless, but actively confusing to implementors.
>
> It might possibly be helpful to expand this paragraph slightly.
>
> Because what was once "Reserved for Private Use" is now being reclassified
> to something non private, I presume that there are no BGP implementations
> using these capability codes that could be broken by this reclassification.
> Hence, on the assumption that these codes are not in fact being used for
> private use, it might be helpful to state that in order to help justify why
> it is okay to make this change.

There *are* implementations using the code points on that range.  The
WG has carefully surveyed implementations and is deprecating the known
values (Table 2).

Thanks!

Alvaro.